# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Digest/MD5.pm) perl(HTML/TokeParser.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(namespace/clean.pm) perl(Throwable/Error.pm) perl(Parser/MGC.pm)
# END SourceDeps(oneline)
%define module_name Catmandu-HTML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Modules for handling HTML data within the Catmandu framework
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-HTML

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HOCHSTEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Command line client `catmandu':

  catmandu convert HTML to JSON < ex/test.html > data/test.json

  catmandu convert JSON to HTML < data/test.json > ex/test.html

  # Keep the text
  curl -s http://librecat.org |
    catmandu convert HTML to Text --fix "html_text()"

  # Filter out the anchors
  curl -s http://librecat.org |
    catmandu convert HTML to Text --fix "html_filter_tag(a); html_text(join:\"\n\")"

  # Filter out the meta tags as YAML
  curl -s http://librecat.org |
    catmandu convert HTML to YAML --fix "html_filter_tag(meta, group_by:name)"

See documentation of modules for more examples.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%changelog
* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

